import "@/styles/globals.css";
import type { AppProps } from "next/app";
import { usePathname, useRouter } from "next/navigation";
import { useEffect } from "react";

import { io } from "socket.io-client";

export default function App({ Component, pageProps }: AppProps) {
  const socket = io("/", {
    autoConnect: false,
  });
  return <Component socket={socket} {...pageProps} />;
}
